Bug 590061 - traceback in update_job_creation_times
traceback in update_job_creation_times
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
abrt_hash:16021d0f
:
Depends On: 588409
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-07 11:49 EDT by Tim Waugh
Modified: 2010-06-04 14:54 EDT (History)
3 users (show)

See Also:
Fixed In Version: system-config-printer-1.2.2-4.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 588409
Environment:
Last Closed: 2010-06-04 14:54:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2010-05-07 11:49:07 EDT
Cloned for F-13 which is using system-config-printer-1.2.x.

+++ This bug was initially created as a clone of Bug #588409 +++

abrt 1.0.9 detected a crash.

architecture: i686
cmdline: python /usr/share/system-config-printer/system-config-printer.py
comment: I opened the printer properties, clicked "print test page", and closed the dialog with cancel.
component: system-config-printer
executable: /usr/share/system-config-printer/system-config-printer.py
kernel: 2.6.33.2-57.fc13.i686
package: system-config-printer-1.2.1-1.fc13
reason: jobviewer.py:619:update_job_creation_times:KeyError: 12
release: Fedora release 13 (Goddard)

backtrace
-----
jobviewer.py:619:update_job_creation_times:KeyError: 12

Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 619, in update_job_creation_times
    iter = self.jobiters[job]
KeyError: 12

Local variables in innermost frame:
job: 12
need_update: False
data: {'job-name': u'Test Page', 'job-printer-uri': u'ipp://inferno.world:631/printers/Stylus-C66', 'job-originating-user-name': u'ulrich', 'attributes-charset': u'utf-8', 'job-k-octets': 1, 'attributes-natural-language': u'en-us', 'job-printer-name': u'Stylus-C66', 'time-at-creation': 1272906004, 'job-state': 5}
now: 1272906078.445704
self: <jobviewer.JobViewer instance at 0x88a8e6c>

--- Additional comment from u.hobelmann@web.de on 2010-05-03 13:02:27 EDT ---

Created an attachment (id=411064)
File: backtrace
Comment 1 Fedora Update System 2010-05-07 11:55:12 EDT
system-config-printer-1.2.2-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/system-config-printer-1.2.2-1.fc13
Comment 2 Fedora Update System 2010-05-08 12:10:24 EDT
system-config-printer-1.2.2-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/system-config-printer-1.2.2-1.fc13
Comment 3 Fedora Update System 2010-05-13 15:35:50 EDT
system-config-printer-1.2.2-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/system-config-printer-1.2.2-2.fc13
Comment 4 Fedora Update System 2010-06-03 14:09:38 EDT
system-config-printer-1.2.2-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/system-config-printer-1.2.2-4.fc13
Comment 5 Fedora Update System 2010-06-04 14:53:40 EDT
system-config-printer-1.2.2-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.